package com.chenyang.nse.bussiness.controller.core;

import java.util.HashMap;
import java.util.Map;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.ResponseBody;

@Controller
@RequestMapping({"/core/resourcemonitor"})
public class TresourceMonitorController {
   @RequestMapping
   public String index(HttpServletRequest request, HttpServletResponse response, Model model) {
      return "core/dataproject/tresourcemonitor";
   }

   @RequestMapping({"/resourcesreport"})
   public String resourcesReport(HttpServletRequest request, HttpServletResponse response, Model model) {
      return "core/resources_report";
   }

   @RequestMapping({"/getresourcemonitordate"})
   @ResponseBody
   public Map<String, String> getCpuDate(HttpServletRequest request, HttpServletResponse response, Model model) {
      Map<String, String> map = new HashMap();

      try {
         String os = System.getProperty("os.name");
         if (!os.toLowerCase().startsWith("win")) {
         }
      } catch (Exception var6) {
      }

      return map;
   }
}
